개별 데이터 세그먼트 보기
데이터 세그먼트 중 하나를 보려면 curators.dataSegments.get 메서드를 사용하세요.
다음 예시에서는 지정된 데이터 세그먼트로 응답하는 API 엔드포인트에 HTTP GET 요청을 보냅니다.
curl API 호출 예시
요청
curl \
'https://authorizedbuyersmarketplace.googleapis.com/v1beta/curators/[YOUR_ACCOUNT_ID]/dataSegments/test-data-segment-1?key=[YOUR_API_KEY]' \
--header 'Authorization: Bearer [YOUR_ACCESS_TOKEN]' \
--header 'Accept: application/json' \
--compressed
응답
{
"name": "curators/[YOUR_ACCOUNT_ID]/dataSegments/test-data-segment-1",
"createTime": "2025-08-13T12:14:03.421Z",
"updateTime": "2025-08-14T19:47:40.253938Z",
"cpmFee": {
"currencyCode": "USD",
"units": "1000000"
},
"state": "INACTIVE"
}
모든 데이터 세그먼트 목록 보기
모든 데이터 세그먼트를 보려면 curators.dataSegments.list 메서드를 사용하세요.
다음 예시에서는 지정된 큐레이터 계정의 모든 데이터 세그먼트로 응답하는 API 엔드포인트에 HTTP GET 요청을 보냅니다.
curl API 호출 예시
요청
curl \
'https://authorizedbuyersmarketplace.googleapis.com/v1beta/curators/[YOUR_ACCOUNT_ID]/dataSegments?key=[YOUR_API_KEY]' \
--header 'Authorization: Bearer [YOUR_ACCESS_TOKEN]' \
--header 'Accept: application/json' \
--compressed
응답
{
"dataSegments": [
{
"name": "curators/[YOUR_ACCOUNT_ID]/dataSegments/test-data-segment-1",
"createTime": "2025-08-13T12:14:03.421Z",
"updateTime": "2025-08-14T20:05:51.439110Z",
"cpmFee": {
"currencyCode": "USD",
"units": "1"
},
"state": "INACTIVE"
},
{
"name": "curators/[YOUR_ACCOUNT_ID]/dataSegments/test-data-segment-2",
"createTime": "2025-08-14T17:45:08.744Z",
"updateTime": "2025-08-14T17:56:02.200619Z",
"cpmFee": {
"currencyCode": "USD",
"nanos": 50
},
"state": "ACTIVE"
}
]
}
다음 단계
- Marketplace API로 데이터 세그먼트를 활성화 및 비활성화하는 방법을 알아보세요.
- 실시간 큐레이션 사양에 대해 알아보세요.
- 실시간 큐레이션에서 수신 세그먼트 요청을 파싱하는 방법을 알아보세요.